### Method

# Gtk Notebookinsert_page

#### Declaration [src]

    int
    gtk_notebook_insert_page (
      GtkNotebook* notebook,
      GtkWidget* child,
      GtkWidget* tab_label,
      int position
    )

#### Description [src]

Insert a page into `notebook` at the given position.

#### Parameters

`child`

  Type: `GtkWidget`

  The `GtkWidget` to use as the contents of the page.

  The data is owned by the caller of the method.

`tab_label`

  Type: `GtkWidget`

  The `GtkWidget` to be used as the label for the page, or `NULL` to use the default label, “page N”

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`position`

  Type: `int`

  The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

#### Return value

Type: `int`

The index (starting from 0) of the inserted page in the notebook, or -1 if function fails.